package com.trs.web2frame.tool.tyjyh.tonglaozheng;

import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.read.listener.PageReadListener;

public class StartExcelAllOr {

    public static void main(String[] args) {

        String fileUrlS[] = {
          "C:\\Users\\28799\\Desktop\\keqzyzq.xlsx",
          "C:\\Users\\28799\\Desktop\\keqhq.xlsx",
          "C:\\Users\\28799\\Desktop\\klq.xlsx",
          "C:\\Users\\28799\\Desktop\\zltq.xlsx",
          "C:\\Users\\28799\\Desktop\\tljjjskfq.xlsx",
        };
        for (String fileUrl : fileUrlS) {
            EasyExcel.read(fileUrl, DemoData.class, new PageReadListener<DemoData>(dataList -> {
                for (DemoData demoData : dataList) {
                    System.out.println(demoData);
                    String view = demoData.getView();
                    if(view != null && view != ""){
                        if(view.equals("1")){
                            try {
                                ViewMove viewMove = new ViewMove();
                                viewMove.DataZhiXunByChannelGetAllDocUpdate(demoData.getKpChannelId(),demoData.getHyChannelId());
                                System.out.println("==========================");
                                System.out.println("demoData.getKpChannelId()"+demoData.getKpChannelId());
                                System.out.println("demoData.getHyChannelId()"+demoData.getHyChannelId());
                                System.out.println("==========================");
                            } catch (Exception e) {
                                e.printStackTrace();
                            }
                        }

                    }
                }
            })).sheet().doRead();
        }

    }
}
